# MatCompress

Tries to store the matrix in as little space as possible. May fail if memory is already fully used, since it tries to allocate new space.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatCompress(Mat mat)

Collective on Mat

### Input Parameters

mat -the matrix

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages